.Menu{
    display: flex;
    flex-direction: column;
    transform: translateY(-6%);
    background-color: $color-quaternary;
    width: 100%;
    padding: 40px 10px 0px 10px;
    border-radius: 35px 35px 0px 0px;
    
    &__heading{
      display: flex;
      justify-content: space-between;

        font-size: 1.5em;
        
        @include mobile-only{
          font-size: 0.8em;
        }

        @include tablet-only{
           padding-left: 30px;
           font-size: 1.0em;
      }

      @include desktop-only{

          padding-left: 30px;
          font-size: 20px;
      }

       & .fa-stack{
         & .fa-stack-1x{
           line-height:normal;
         }
         @include mobile-only{
          width: 2em;
        }
           @include heart_Icon;         
        } 
    }

    & .Section_Title{
        text-transform: uppercase;
        position: relative;
        margin-bottom: 20px;
        font-size: 1em;
        font-weight: normal;

        @include title-display (10);
        
        &-Menu {
          @include title-display (9);
        } 

        &:before{
            content: "";
            position: absolute;
            bottom: -10px;
            left: 0;
            width: 40px;
            display: block;
            border-top: 3px solid $color-tertiary;
            transform: translate(0%,-80%);
        }

    }

    & .Menu_Composition{
        margin-bottom: 40px;

        @include tablet-only{
              display: flex;
              flex-wrap: wrap;
              margin-bottom: 0px;
              & .Menu__Details:last-child{
                  margin-left: 25%;
              }
        }

        @include desktop-only{
            display: flex;
            flex-wrap: wrap;
            justify-content:center;
            margin-bottom: 0px;
        }
    }

    &__Details{
        
       @include menu-anim(9);
       
       @keyframes display-title {

        0% {
            transform: translateX(999px);
        }
        100% {
           transform: translateX(0);
        }

      } 
        @keyframes display-menu {

        0% {
            transform: translateY(10px);
            opacity: 0;
        }
        100% {
          transform: translateY(0px);
          opacity: 1;
        }

      }

        @include tablet-only{
            flex: 1 30%;
            padding: 20px;
            max-width: 370px;
          }

        @include desktop-only{
          flex: 1 25%;
          padding: 10px;
          font-size: 18px;
          min-width: 405px;
          max-width: 405px;
        }

       margin-bottom: 30px;

      &__Items{

          display: flex;
          height: 72px;
          margin-bottom: 15px;
          box-shadow: 2px 5px 5px 4px #F2F2F2;
          background-color: #fff;
          border-radius: 12px;
          
          @include menu-anim(10);

          @include desktop-only{
            height: 75px;
          }

          & div:first-child{
            margin: 15px 0px 15px 10px;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;   
            height: auto;
            width: 80%;

           
            @include mobile-only{
                width: 90%
            }

            transition: width 1000ms;
            
             & p:first-child{
                font-weight: bolder;
                font-size: 0.9rem;
                margin-bottom: 5px;
                white-space: nowrap;
                overflow: hidden;
                text-overflow: ellipsis; 

                @include tablet-only{
                  font-size: 1.0rem;
                  }
          
                  @include desktop-only{
                    font-size: 1.2rem;
                  } 
            } 
        
             & p:nth-child(2){
                font-size: 0.8rem;
                white-space: nowrap;
                overflow: hidden;
                text-overflow: ellipsis;
                
                @include tablet-only{
                  font-size: 0.9rem;
                  }

                @include desktop-only{
                  font-size: 1.0rem;
                  } 
            } 
          }
          
          & div:nth-child(2){
            text-align: center;
            padding-top: 36px;
            padding-right: 15px;
            padding-left: 10px;
            font-weight: bolder;
            font-size: 14px;
            transform: translateX(0);
            transition: transform 1000ms;
            
            @include tablet-only{
                padding-left: 25px;
              }

            @include desktop-only{
                font-size: 18px;
                padding-left: 25px;
              } 
          }

          & div:nth-child(3){
            text-align: center;
            height: auto;
            background-color: $color-tertiary;
            overflow: hidden;
            border-radius: 0px 12px 12px 0px;
            padding-top: 25px;
            
            width: 0px;
            transition: width 1000ms;
               & span{
                border-radius: 50%;
                padding: 3px 4px;
                background-color: #fff;
                 
                & .fa-check{
                    color: $color-tertiary;
                    transform: rotate(180deg);
                    transition: transform 1000ms;
                }
               }
          }

    &:hover {
        div:first-child{
            width: 200px;
            
            @include mobile-only{
                width: 350px;
            }

            @include desktop-only{
              width: 250px;
          }
        }
    
        div:nth-child(2){
            transform: translateX(-10px);
        }
        
        div:nth-child(3){
            width: 90px;
            @include mobile-only{
                width: 97px
            }

            @include desktop-only{
              width: 97px;
          }
        } 

        div:nth-child(3) .fa-check{
            transform: rotate(360deg);
        } 
    } 

      }

      
    }
    
    & .button{
        font-size: 16px;
        width: 200px;
        align-self: center;

        @include desktop-only{
            font-size: 22px;
          } 
    }


}